import { ButtonHTMLAttributes, AnchorHTMLAttributes } from 'react';
import './style.less';
declare type ButtonSize = 'large' | 'small';
declare type ButtonType = 'primary' | 'default' | 'danger' | 'link';
interface BaseButtonProps {
    className?: string;
    /** 禁用 */
    disabled?: boolean;
    /** 尺寸 */
    size?: ButtonSize;
    /** 类型 */
    type?: ButtonType;
    /** link类型button的href */
    href?: string;
}
declare type NativeButtonProps = BaseButtonProps & Omit<ButtonHTMLAttributes<HTMLElement>, 'type'>;
declare type AnchorButtonProps = BaseButtonProps & Omit<AnchorHTMLAttributes<HTMLElement>, 'type'>;
declare type ButtonProps = Partial<NativeButtonProps & AnchorButtonProps>;
declare function Button(props: ButtonProps): JSX.Element;
export default Button;
