import { ReactNode, InputHTMLAttributes, ChangeEvent } from 'react';
import './style.less';
declare type InputSize = 'large' | 'small';
interface BasicInputProps {
    /**是否禁用 Input */
    disabled?: boolean;
    /**设置 input 大小，支持 lg 或者是 sm */
    size?: InputSize;
    /**添加图标，在右侧悬浮添加一个图标，用于提示 */
    icon?: ReactNode;
    /**添加前缀 用于配置一些固定组合 */
    prepend?: string | ReactNode;
    /**添加后缀 用于配置一些固定组合 */
    append?: string | ReactNode;
    onChange?: (e: ChangeEvent<HTMLInputElement>) => void;
}
declare type InputProps = BasicInputProps & Omit<InputHTMLAttributes<HTMLInputElement>, 'size' | 'onChange' | 'disabled'>;
declare function Input(props: InputProps): JSX.Element;
export default Input;
