import { HTMLAttributes } from 'react';
import './style.less';
declare type MessageTheme = 'dark' | 'light';
declare type MessageIconType = 'info' | 'success' | 'error' | 'warning' | 'loading';
interface BaseMessageProps {
    top?: number;
    theme?: MessageTheme;
    className?: string;
    title?: string;
    type?: MessageIconType;
    onClose?: () => void;
    duration?: number;
}
declare type MessageProps = BaseMessageProps & HTMLAttributes<HTMLElement>;
interface MessageApi {
    info: (props?: MessageProps) => void;
    success: (props?: MessageProps) => void;
    error: (props?: MessageProps) => void;
    warning: (props?: MessageProps) => void;
    loading: (props?: MessageProps) => void;
}
declare const _default: MessageApi;
export default _default;
