import React, { FC, HTMLAttributes, CSSProperties, ReactElement } from 'react';
import './style.less';
interface BaseModalProps {
    isStaticMethod?: boolean;
    width?: number;
    style?: CSSProperties;
    onCancel?: (e: React.MouseEvent) => void;
    onOk?: (e: React.MouseEvent) => void;
    title?: ReactElement | string;
    okText?: ReactElement | string;
    cancelText?: ReactElement | string;
    content?: ReactElement | string;
    visible?: boolean;
    showCloseIcon?: boolean;
    maskClosable?: boolean;
    showMask?: boolean;
    children?: ReactElement;
    className?: string;
}
declare type ModalProps = BaseModalProps & Omit<HTMLAttributes<HTMLDivElement>, 'title'>;
interface ModalFuncProps extends FC<ModalProps> {
    open: (props: ModalProps) => void;
}
declare const _default: ModalFuncProps;
export default _default;
