import { TriggerProps } from 'rc-trigger';
import { ActionType, AlignType } from 'rc-trigger/lib/interface';
import React from 'react';
import { Direction } from './placements';
import './style.less';
import { Theme } from '../common/context';
export declare type TooltipProps = {
    placement?: Direction;
    overlay: (() => React.ReactNode) | React.ReactNode;
    trigger?: ActionType | ActionType[];
    children?: React.ReactNode;
    align?: AlignType;
    offset?: number;
    destroyTooltipOnHide?: boolean;
    onVisibleChange?: (v: boolean) => void;
    overlayStyle?: React.CSSProperties;
    overlayClassName?: string;
    visible?: boolean;
    destroyPopupOnHide?: boolean;
    arrow?: boolean;
    theme?: Theme;
} & Omit<TriggerProps, 'popup' | 'children' | 'action'>;
export default function Tooltip(props: TooltipProps): JSX.Element;
